Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058957 - [AAA] rhevm-config output when failing to change password is easy to miss and doesn't give any context
Summary: [AAA] rhevm-config output when failing to change password is easy to miss and...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.4.0
Assignee: Yair Zaslavsky
QA Contact: Jiri Belka
URL:
Whiteboard: infra
Depends On:
Blocks: RHEV-RHCI
TreeView+ depends on / blocked
 
Reported: 2014-01-28 20:28 UTC by Matt Reid
Modified: 2016-02-10 19:29 UTC (History)
8 users (show)

Fixed In Version: org.ovirt.engine-root-3.4.0-14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Infra


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 23933 None None None Never
oVirt gerrit 23981 None None None Never
oVirt gerrit 26229 None None None Never

Description Matt Reid 2014-01-28 20:28:21 UTC
Description of problem:
I hit an issue with the RHEV REST API and in trying to troubleshoot it, attempted to change the password, since I wasn't sure at first if it was the same password as logging into the RHEVM Admin portal. I ran the command to try and change the password, scanned the output, and thought it had changed. When I went back to the admin portal and the /api site to try to log into both of them again, I was surprised to see the password remained unchanged.

# rhevm-config -s AdminPassword=admin2

Cannot set value admin2 to key AdminPassword.


### Notes:
### 1. Passwords: password can be set in interactive mode ie:
###       engine-config - AdminPassword=interactive
###    or via file with one of the following options:
###       engine-config -s AdminPassword --admin-pass-file=/tmp/mypass
###       engine-config -s AdminPassword=/tmp/mypass
### 2. In order for your change(s) to take effect,
###    restart the oVirt engine service (using: 'service ovirt-engine restart').
###############################################################################


> # |

Seeing a wall of text output like that, with the failure/refusal in the middle, isn't highly recognizable, when I see that print out, I'm looking at the last few lines to see what the result was, and that's all just informational stuff. I don't see anything saying at the end that my request failed or succeeded.

Running the command a few more times, eventually I did see the message in the middle, so at least I know it didn't change it. But it doesn't give me anything actionable. Why wasn't it set? Does it violate a password policy? Can I just not set it manually like that? None of the informational notes show you how to set it manually. 

The error could be more helpful, and more noticeable, I think.

Version-Release number of selected component (if applicable):
rhev 3.2


Actual results:
Cannot set password, no recourse offered.

Expected results:
Why was it unable to set the password? What should I try next? Also, consider moving the password failure message to be the last thing output, or have a summary string saying it failed at the end, please don't expect me to go back and read through all of that information to see what's important.

Additional info:

Comment 1 Yair Zaslavsky 2014-01-30 07:17:58 UTC
PasswordValueHelper.validate should change -
I suggest we try to perform some validations -in case of --admin-pass-file with file that does not exist (for example) we can report a more detailed error message.
In case the password change is not via interactive mode or the admin-pass-file - IMHO we should still print some error description that explains that the only possible way to change the password is via admin-pass-file or interactive.
Maybe it can be rephrased, and advise the user to check help for more details.

Comment 2 Sandro Bonazzola 2014-02-19 12:27:17 UTC
This bug is referenced in ovirt-engine-3.4.0-beta3 logs. Moving to ON_QA

Comment 3 Jiri Belka 2014-03-06 10:17:11 UTC
[root@jb-rhevm34 ~]# rhevm-config -s AdminPassword=admin2
Cannot set value admin2 to key AdminPassword. It appears you tried to change a password for AdminPassword in a wrong way.You should use interactive mode or provide a file cotaining the password. Run the utility with --help for more information.

There's typo - missing space between 'way.You', please correct. Thx!

Comment 4 Jiri Belka 2014-04-28 09:13:08 UTC
ok, av7.

Comment 5 Itamar Heim 2014-06-12 14:10:27 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.